Subject: Re: [RFC/PATCH] powerpc: MPC7450 L2 HW cache flush feature utilization

From: Segher Boessenkool <[email-masked]>
Date: Fri, 15 Jun 2007 10:16:04 +0200

>>>>      /* TODO: use HW flush assist when available */
>>>
>>> You want to get rid of this old comment though -- and
>>> perhaps branch over the non-hardware-assisted cache
>>> flushing code.
>>
>> Ok, I agree that the comment is obsolete now. Would you please explain
>> why the branch over non-hardware-assisted code should be removed as
>> well. Technically the cache is flushed and there is no need to use 
>> extra
>> commands to fill and then re-flush the cache.
>
> I think Segher is saying that you can skip the manual invalidation too
> (although he said "flushing", I think he really meant "invalidation"--
> the manual flushing is already skipped).

Erm yes.

> If I'm reading the manual
> correctly, L2HWF does the invalidation as well so both the manual
> flushing and invalidation can be skipped.

Yeah.  Not that it really matters of course.

Segher